#!/usr/bin/make -f

export PYBUILD_NAME=pdoc

# Disable tests needing depends not in Debian
export PYBUILD_TEST_ARGS = \
	-k 'not test_walk_specs \
	and not test_parse_spec \
	and not test_snapshots[html-flavors_rst] \
	and not test_snapshots[html-example_customtemplate] \
	and not test_snapshots[html-example_darkmode] \
	and not test_snapshots[html-example_mkdocs] \
	and not test_snapshots[html-demo_long] \
	and not test_snapshots[html-demopackage_dir] \
	and not snapshots[repr-pyo3_sample_library] \
	and not test_snapshots[html-pyo3_sample_library] \
	and not test_snapshots[repr-misc_py312]'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Fix permissions for non-executable files
	find debian/python3-pdoc/usr/lib/python3.*/dist-packages/pdoc/templates/ -type f -name '*.jinja2' -exec chmod -x {} +
